Subject: bug#37450: 26.3; `all-completions' PREDICATE for a hash table COLLECTION

From: Drew Adams <[email-masked]>
Date: Wed, 18 Sep 2019 11:26:05 -0700 (PDT)

> (all-completions orig
>                  THE-BBDB-ALIST
>                  (lambda (sym)
>                     (when (bbdb-completion-predicate sym)
>                       (push sym all-comps))))
> 
> I had to change that to this, adding an (unused?) arg for the PREDICATE:
> 
> (all-completions orig
>                  bbdb-hashtable'
>                  (lambda (sym __)
>                     (when (bbdb-completion-predicate sym)
>                       (push sym all-comps))))

I shouldn't have been so definitive about that "fix".
It apparently didn't work - the user now reports a
different error message, saying "Something like two
arguments but expected one."  I don't use BBDB, so
I'm flying a bit blind on this.

Hope my bug report makes some sense in any case.
My question seems reasonable, at least in my relative
ignorance: why must the PREDICATE take also a VALUE
arg when COLLECTION is a hash table?  Why isn't KEY
lookup sufficient?